Attribute VB_Name = "Global"
' DLL's declarations and Global variables

Declare Function RegOpenKeyEx Lib "advapi32.dll" Alias "RegOpenKeyExA" (ByVal hkey As Long, ByVal lpSubKey As String, ByVal ulOptions As Long, _
      ByVal samDesired As Long, phkResult As Long) As Long
Declare Function RegQueryValueEx Lib "advapi32.dll" Alias "RegQueryValueExA" (ByVal hkey As Long, ByVal lpValueName As String, ByVal lpReserved As Long, _
      lpType As Long, ByVal lpData As String, lpcbData As Long) As Long
Declare Function RegCloseKey Lib "advapi32.dll" (ByVal hkey As Long) As Long
      
Declare Function GetHostName Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostOperatingSystemRelease Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostOperatingSystem Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostVendor Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostModel Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostCPU Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostCPUCount Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostPrimaryCacheSize Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostSecondaryCacheSize Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetWindowSystem Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostMemorySize Lib "WinSysInfo.dll" (ByRef size As Long) As Integer
Declare Function GetGLVendor Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetGLVersion Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetGLExtensions Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetGLRenderer Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetOpenGLClientVersion Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetOpenGLClientVendor Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetOpenGLClientExtensions Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetGLUVersion Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetGLUExtensions Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetDirectRender Lib "WinSysInfo.dll" (ByRef Ren As Long) As Integer
Declare Function GetWindowWidth Lib "WinSysInfo.dll" (ByRef width As Long) As Integer
Declare Function GetWindowHeight Lib "WinSysInfo.dll" (ByRef Height As Long) As Integer
Declare Function GetScreenWidth Lib "WinSysInfo.dll" (ByRef width As Long) As Integer
Declare Function GetScreenHeight Lib "WinSysInfo.dll" (ByRef Height As Long) As Integer
Declare Function GetSDate Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetSTime Lib "WinSysInfo.dll" (ByVal Str As String, ByVal size As Integer) As Integer
Declare Function GetHostDisplayDriver Lib "WinSysInfo.dll" (ByVal NT As Integer, ByVal DriverName As String, ByVal NameSize As Integer, ByVal DriverVers As String, ByVal VersSize As Integer) As Integer
Declare Function GetHostPageSize Lib "WinSysInfo.dll" (x As Long) As Integer
Declare Function SWGetScreenSize Lib "WinSysInfo.dll" (ByRef SWidth As Long, ByRef SHeight As Long, ByRef WWidth As Long, ByRef WHeight As Long) As Integer
Declare Function SWExec Lib "WinSysInfo.dll" (ByVal Str As String, ByVal Arg As String) As Integer
Declare Function SWCreateGLWindow Lib "WinSysInfo.dll" () As Integer
Declare Function SWDestroyGLWindow Lib "WinSysInfo.dll" () As Integer
Declare Sub SWRunReg Lib "WinSysInfo.dll" ()


Public EInfo As New EnvironmentInfo    ' Class to keep system info in
Public NoTestsRun As Boolean
Public RegEd As Boolean                ' run regedit program
Public FileSaved As Boolean            ' rjs Current results Saved?
Public swApp As Object                 ' SolidWorks OLE object
Public BatchMode As Boolean            ' Run SolidWorks in BatchMode
Public HTMLFile As String              ' Output file name when running in batch mode
Public RepeatNumber As Integer         ' Number of times to repeat test when running in
                                       ' batch mode
Public TheTest As Integer              ' Which test to run in batch mode
                                       ' 1 = ALL, 2 = Graphics, 3=Processor, 4=IO

Public RotBottomCase As Single         ' time for graphics for bottom case
Public RotAssLine As Single            ' time for graphics for assembly line
Public RotAssLineT As Single           ' time for graphics for assembly line with transparency on

' Baseline results
Public Const GraphicsBotCaseBaseline = 117.4
Public Const GraphicsAssBaseline = 187.4
Public Const GraphicsAssTBaseline = 295.4
Public Const ProcessorBaseline = 365.3
Public Const IOBaseline = 76.8

' Graphics Hardware Information
Public GraphicsMemory As String
Public ImageBuffer As String
Public OverlayBuffer As String
Public DepthBuffer As String
Public AccumulationBuffer As String
Public AuxiliaryBuffer As String
Public OtherBuffer As String
Public DisplayListMemory As String
Public TextureMemory As String
Public DisplayManufacturer As String
Public DisplaySizeType As String
Public DisplayRefreshRate As String
Public DisplaySwap As String

' Registry information
Public Const REG_SZ = 1
Public Const READ_CONTROL = &H2000
Public Const STANDARD_RIGHTS_READ = (READ_CONTROL)
Public Const STANDARD_RIGHTS_ALL = &H1F0000
Public Const KEY_QUERY_VALUE = &H1
Public Const KEY_SET_VALUE = &H2
Public Const KEY_CREATE_SUB_KEY = &H4
Public Const KEY_ENUMERATE_SUB_KEYS = &H8
Public Const KEY_NOTIFY = &H10
Public Const KEY_CREATE_LINK = &H20
Public Const SYNCHRONIZE = &H100000
Public Const KEY_READ = ((STANDARD_RIGHTS_READ Or KEY_QUERY_VALUE Or KEY_ENUMERATE_SUB_KEYS Or KEY_NOTIFY) And (Not SYNCHRONIZE))
Public Const KEY_ALL_ACCESS = ((STANDARD_RIGHTS_ALL Or KEY_QUERY_VALUE Or KEY_SET_VALUE Or KEY_CREATE_SUB_KEY Or KEY_ENUMERATE_SUB_KEYS Or KEY_NOTIFY Or KEY_CREATE_LINK) And (Not SYNCHRONIZE))
Public Const HKEY_LOCAL_MACHINE = &H80000002
Public PartitionName As String

' System Configuration
Public ProcessorType As String
Public FloatingPoint As String
Public PrimaryCache As String
Public SecondaryCache As String
Public TertiaryCache As String
Public DiskSize As String
Public Comments As String
Public DiskType As String ' Model


' General Info
Public ListPrice As String
Public Availability As String

' Below was added for version 1.1.3 of the benchmark
' Machine Vendor
Public MachineVendor As String
Public Submitter As String
Public DiskRPM As String
Public DiskIface As String
Public DiskCont As String
